precision mediump float;
varying vec2 vTextureCoord;
uniform sampler2D uTextureSampler;
uniform float uAlpha;

void main(){
    vec4 color = texture2D(uTextureSampler, vTextureCoord);
    color *= uAlpha;
    gl_FragColor = color;
}