precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float transX;
uniform float transY;

void main(){
    vec2 newTextureCoordinate = textureCoordinate;

    if(transX == 0.0 && transY == 0.0){
        vec4 color = texture2D(inputImageTexture, newTextureCoordinate);
        gl_FragColor = color;
    }else{
        bool showBg = false;
        if (textureCoordinate.x >= 0.0 && textureCoordinate.x <0.5){
            if (textureCoordinate.y >= 0.0 && textureCoordinate.y < 0.5){
                //左上
                if(textureCoordinate.x >= 0.5 - transX || textureCoordinate.y >= 0.5 - transY){
                    showBg = true;
                }else{
                    showBg = false;
                    newTextureCoordinate.x += transX;
                    newTextureCoordinate.y += transX;
                }
            } else {
                //左下
                if(textureCoordinate.x >= 0.5 - transX || textureCoordinate.y <= 0.5 + transY){
                    showBg = true;
                }else{
                    showBg = false;
                    newTextureCoordinate.x += transX;
                    newTextureCoordinate.y -= transX;
                }
            }
        } else {
            if (textureCoordinate.y >= 0.0 && textureCoordinate.y <0.5){
                //右上
                if(textureCoordinate.x <= 0.5 + transX || textureCoordinate.y >= 0.5 - transY){
                    showBg = true;
                }else{
                    showBg = false;
                    newTextureCoordinate.x -= transX;
                    newTextureCoordinate.y += transX;
                }
            } else {
                //右下
                if(textureCoordinate.x <= 0.5 + transX || textureCoordinate.y <= 0.5 + transY){
                    showBg = true;
                }else{
                    showBg = false;
                    newTextureCoordinate.x -= transX;
                    newTextureCoordinate.y -= transX;
                }
            }
        }

        if(showBg){
//            vec4 color = texture2D(bgImageTexture, newTextureCoordinate);
//            gl_FragColor = color;
        }else{
            vec4 color = texture2D(inputImageTexture, newTextureCoordinate);
            gl_FragColor = color;
        }

    }
}