precision mediump float;//精度为float
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;//纹理位置接收于vertex_shader
const vec3 weighting = vec3(0.2125, 0.7154, 0.0721); //借用GPUImage的值
uniform bool recoverOriginal;


void main() {
    vec4 mask = texture2D(inputImageTexture, textureCoordinate);
    vec4 final_Color;
    if(recoverOriginal){
        final_Color = texture2D(inputImageTexture, textureCoordinate);
    }else{
        final_Color = vec4(vec3(dot(mask.rgb, weighting),dot(mask.rgb, weighting),dot(mask.rgb, weighting)), 1.0);
    }
    gl_FragColor = final_Color;
}