//蒙版效果

//获取混合蒙版后的颜色
vec4 mixMaskColor(vec4 maskColor, vec4 inputColor, float maskAlpha, bool changeAlpha){
    vec4 resultColor = inputColor;
    if (maskAlpha != 0.0){
        float alpha = inputColor.a;
        resultColor = mix(inputColor, maskColor, maskAlpha);
        if (changeAlpha){
            resultColor.a = alpha;
        } else {
            resultColor.a = maskAlpha;
        }
    }
    return resultColor;
}