//z 轴中心旋转效果

vec2 rotate2dCenter(vec2 newTextureCoordinate, vec2 rotateAnchor, float inputWidth, float inputHeight, float radianAngle)
{
    vec2 resolution = vec2(inputWidth, inputHeight);
    vec2 rotateCenter = resolution * rotateAnchor;
    vec2 realCoord = newTextureCoordinate * resolution;
    float radian = radians(rotate);

    float cos=cos(radian);
    float sin=sin(radian);
    mat3 rotateMat=mat3(cos, -sin, 0.0,
    sin, cos, 0.0,
    0.0, 0.0, 1.0);
    vec3 deltaOffset;
    deltaOffset = rotateMat*vec3(realCoord.x- rotateCenter.x, realCoord.y- rotateCenter.y, 1.0);
    realCoord.x = deltaOffset.x+rotateCenter.x;
    realCoord.y = deltaOffset.y+rotateCenter.y;
    return realCoord/resolution;
}