//缩放效果

vec2 scale(vec2 newTextureCoordinate, vec2 scaleCenter, float scaleValueX, float scaleValueY){
    if (scaleValueX != 0.0){
        scaleValueX = 1.0/scaleValueX;
    }
    if (scaleValueY != 0.0){
        scaleValueY = 1.0/scaleValueY;
    }
    newTextureCoordinate -= scaleCenter;
    newTextureCoordinate = mat2(scaleValueX, 0.0, 0.0, scaleValueY) * newTextureCoordinate;
    newTextureCoordinate += scaleCenter;
    return newTextureCoordinate;
}