precision mediump float;

uniform sampler2D inputImageTexture;

varying vec2 textureCoordinate;
uniform float transX;
uniform float transY;
uniform bool isMirror;

void main(){
    vec2 newCoordinate = textureCoordinate;
    newCoordinate -= vec2(transX, transY);
    vec4 nColor;
    if (isMirror){
        nColor = texture2D(inputImageTexture, newCoordinate);
    } else {
        if (newCoordinate.x < 0.0 || newCoordinate.x > 1.0 || newCoordinate.y < 0.0 || newCoordinate.y > 1.0){
            nColor = vec4(0.0);
        }else{
            nColor = texture2D(inputImageTexture, newCoordinate);
        }
    }
    gl_FragColor = nColor;
}
