precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform int showIndex;//要变化的下标[0,3]

void main(){
    if (showIndex == 0){
        if (textureCoordinate.x < 0.5 && textureCoordinate.y < 0.5){
            gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
        } else {
            gl_FragColor = vec4(0.);
        }
    } else if (showIndex == 1){
        if (textureCoordinate.x >= 0.5 && textureCoordinate.y < 0.5){
            gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
        } else {
            gl_FragColor = vec4(0.);
        }
    } else if (showIndex == 2){
        if (textureCoordinate.x >= 0.5 && textureCoordinate.y >= 0.5){
            gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
        } else {
            gl_FragColor = vec4(0.);
        }
    } else if (showIndex == 3){
        if (textureCoordinate.x < 0.5 && textureCoordinate.y >= 0.5){
            gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
        } else {
            gl_FragColor = vec4(0.);
        }
    } else {
        gl_FragColor = vec4(0.);
    }
}